package com.sqx.modules.artificer.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.Artificer;
import com.sqx.modules.chat.entity.ChatContent;

import java.text.ParseException;


public interface ArtificerService extends IService<Artificer> {

    Result selectArtificerList(Integer page, Integer limit, Long massageTypeId, String artificerName,
                               String longitude,String latitude,Integer sort,Integer authentication,
                               Integer by,Integer status,String city,Long classifyId,String phone,Integer user, Integer isStart,Integer technicianType,String isBack);

    Artificer selectArtificerById(Long userId,Long artificerId,String longitude,String latitude);

    Artificer selectArtificerByUserId(Long userId);

    int selectArtificerByStatus(Long userId, Integer status);

    Result selectArtificerMoney(Long userId,Long artificerId);

    Result signIn(Long userId, String longitude, String latitude, String city,String address);

    Result selectArtificerMoneyList(Integer page,Integer limit,String startTime,String endTime,String title,String classifyId);

    Result selectUserListByConsortiaId(Integer page,Integer limit,String userName,String phone,Long consortiaId,Long shopId,Integer flag,String time);

    void timing(Long artificerId);

    Result integral(String artificerId,String type,Integer current,Integer size,String date,Integer fundType);

    Result storedValue(String date,String type,String artificerId);

    Result selectArtificerByArtificerId(Long artificerId);

    Result getHomeArtificerList(Integer page, Integer limit, Integer isStart,Integer status, String city, String longitude, String latitude);

    Result getOrderTypeList(Long userId, Integer page, Integer limit, Integer orderType, Integer isSfwc,String startTime,String endTime);

    Result getJifenList(Long userId, String startTime, String endTime);

    Result updateShz(Artificer artificer);

    Artificer selectByPhone(String mobile);

    Result selectArtificerPhbList(Integer page, Integer limit, String startTime, String endTime, String type);
}